<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
  <meta charset="utf-8">
  <title>HTML Tables and Forms</title>
</head>

<body>
  <!-- Creates a container element used to group HTML elements -->
  <header>
    <h1>HTML Tables and Forms</h1>
  </header>

  <main>
    <section>
      <h2>HTML Entities</h2>
      <p>
        <em>Reserved Characters in html (e.g. &lt; or &gt; characters that can mis up with HTML Code).</em>
      </p>

      <!-- Tables -->

      <table border="1">
        <!-- thead = header -->
        <thead>
          <!-- first Row -->
          <tr>
            <th colspan="2">Entity</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>&lt;</td>
            <td>lt</td>
            <td>less than</td>
          </tr>
          <tr>
            <td>&gt;</td>
            <td>gt</td>
            <td>greater than</td>
          </tr>
          <tr>
            <td>&#8369;</td>
            <td>#8369</td>
            <td>peso sign</td>
          </tr>
          <tr>
            <td>&amp;</td>
            <td>amp</td>
            <td>ampersand</td>
          </tr>
          <tr>
            <td>&quot;</td>
            <td>quot</td>
            <td>double quotation mark</td>
          </tr>
          <tr>
            <td>&apos;</td>
            <td>apos</td>
            <td>single quotation mark (apostrophe)</td>
          </tr>
          <tr>
            <td>&ntilde;</td>
            <td>ntilde</td>
            <td>Lower Tilde</td>
          </tr>
          <tr>
            <td>&Ntilde;</td>
            <td>Nilde</td>
            <td>Upper Tilde</td>
          </tr>
        </tbody>
        <!-- used to group table footer content -->
        <tfoot>
          <tr>
            <th colspan="3">List of HTML entities</th>
          </tr>
        </tfoot>
      </table>
    </section>
    <section>


      <p>HTML Forms</p>
      <p>
        <em>Input elements that make up a form.</em>
      </p>
      <!-- Creates an HTML form to capture user input  -->

      <form class="" action="https://google.com" method="post">
        <!-- Creates a label and allows for input field selection when clicked -->
        <label for="full_name">Full Name:</label><br>
        <input type="text" name="full_name" id="full_name" required autocomplete>
        <br>

        <label for="birth_date">Birth Date:</label><br>
        <input type="date" name="birth_date" id="birth_date" required>

        <label for="age">Age:</label><br>
        <input type="number" name="age" id="age" required min="1"><br>

        <label for="gender">Gender:</label><br>
        <select name="gender" id="gender">
          <option value="Male">Male</option>
          <option value="Female">Female</option>
          <label for="notes">Notes</label><br>
        </select><br>
        <!-- Creates a Larger Text input -->
        <label for="notes">Notes:</label><br>
        <textarea name="notes" rows="5"></textarea><br />
        <!-- Radio Buttons -->
        <label>New User:</label><br>

        <input type="Radio" name="new_user" id="user-type1" value="yes">
        <label for="user-type1">Yes</label><br>

        <input type="Radio" name="new_user" id="user-type2" value="no">
        <label for="user-type2">No</label><br>

        <!-- Check boxes -->
        <label>Role:</label><br>
        <!-- Create Check boses for multiple choices -->
        <input type="checkbox" name="role1" id="role1" value="developer">
        <label for="role1">Developer</label><br>

        <input type="checkbox" name="role2" id="role2" value="student">
        <label for="role2">Student</label><br>

        <input type="checkbox" name="role3" id="role3" value="manager">
        <label for="role3">Manager</label><br>
        <!-- Creates a button that will submit the form data -->
        <button type="Submit">Submit</button>
        <button type="Reset">Reset</button>
      </form>
    </section>
  </main>
</body>

</html>
